<div class="container-fluid" *ngIf="isLoggedIn">
  <div class="row">

    <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
      <div class="position-sticky pt-3">
        <ul class="nav flex-column">
          <li class="nav-item">
            <a class="nav-link fw-bold" aria-current="page" href="admin" routerLink="/admin">
              <i class="bi bi-people-fill me-1"></i>
              Utilisateurs et comptes
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link fw-bold active" href="admin" routerLink="/admin">
              <i class="bi bi-shield-lock-fill me-1"></i>
              Roles et habilitations
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link fw-bold" href="#">
              <i class="bi bi-kanban-fill me-1"></i>
              Processus et taches
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link fw-bold" href="#">
              <i class="bi bi-bullseye me-1"></i>
              Connexions actives
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link fw-bold" href="#">
              <i class="bi bi-clock-history me-1"></i>
              Historique des connections
            </a>
          </li>
        </ul>
      </div>
    </nav>

    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-3">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-4 pb-2 mb- border-bottom">
        
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="#">Accueil</a></li>
          <li class="breadcrumb-item active">Gestion des utilisateurs</li>
          <li class="breadcrumb-item active" aria-current="page">Roles et habitlitations</li>
        </ol>
      </nav>

      
          <div class="justify-content-end">

            <button type="button" class="btn btn-sm btn-outline-primary me-2" data-bs-toggle="modal" data-bs-target="#addUserModal">
              <i class="bi bi-plus-lg"></i>
            </button>
            <button type="button" class="btn btn-sm btn-outline-success me-2 ">
              <i class="bi bi-arrow-clockwise"></i>
            </button>
            <!-- <button type="button" class="btn btn-sm btn-outline-secondary">Ecran principal</button> -->
          </div>


          <!-- <button type="button" class="btn btn-sm btn-outline-secondary">Ecran principal</button> -->
          <!-- <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">
            <span data-feather="calendar"></span>
            This week
          </button> -->
      </div>

      <div class="table-responsive pt-3">
        <form>
          <div class="mb-3 row">
            <label for="table-complete-search" class="col-xs-3 col-sm-auto col-form-label">Recherche: </label>
            <div class="col-xs-3 col-sm-auto">
              <input id="table-complete-search" type="text" class="form-control form-control-sm" name="searchTerm" [(ngModel)]="userTableService.searchTerm">
            </div>
            <span class="col col-form-label" *ngIf="userTableService.loading$ | async">Chargement...</span>
          </div>
        
          <table class="table table-striped table-sm">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col" sortable="nom" (sort)="onSort($event)">Nom</th>
                    <th scope="col" sortable="prenom" (sort)="onSort($event)">Prenom</th>
                    <th scope="col" sortable="cin" (sort)="onSort($event)">CIN</th>
                    <th scope="col" sortable="cne" (sort)="onSort($event)">CNE</th>
                    <th width="130px"></th>
                </tr>
            </thead>
            <tbody>
            <tr *ngFor="let user of users$ | async">
              <th scope="row">{{ user.id }}</th>
              <td><ngb-highlight [result]="user.nom" [term]="userTableService.searchTerm"></ngb-highlight></td>
              <td><ngb-highlight [result]="user.prenom" [term]="userTableService.searchTerm"></ngb-highlight></td>
              <td><ngb-highlight [result]="user.cin" [term]="userTableService.searchTerm"></ngb-highlight></td>
              <td><ngb-highlight [result]="user.cne" [term]="userTableService.searchTerm"></ngb-highlight></td>
              <td align="right">
                  <button (click)="openEdit(user.id)" type="button" class="btn btn-sm btn-outline-dark me-2" data-bs-toggle="modal" data-bs-target="#editUserModal">
                    <i class="bi bi-pen"></i>
                  </button>
                  <button type="button" class="btn btn-sm btn-outline-danger me-2">
                    <i class="bi bi-trash"></i>
                  </button>
              </td>
            </tr>
            </tbody>
          </table>
        
          <div class="d-flex justify-content-between p-2">
            <ngb-pagination
              [collectionSize]="(total$ | async)!" [(page)]="userTableService.page" [pageSize]="userTableService.pageSize">
            </ngb-pagination>
        
            <select class="form-select form-select-sm" style="width: auto; height: fit-content;" name="pageSize" [(ngModel)]="userTableService.pageSize">
              <option [ngValue]="2">2 items per page</option>
              <option [ngValue]="4">4 items per page</option>
              <option [ngValue]="6">6 items per page</option>
            </select>
          </div>
        
        </form>
      </div>
    </main>
  </div>


</div>